Supported systems, databases and business applications by Talend components - 7.3

Talend Open Studio for ESB Installation and Upgrade Guide for Mac

EnrichVersion
7.3
EnrichProdName
Talend Open Studio for ESB
task
Installation and Upgrade
EnrichPlatform
Talend ESB
Talend Runtime
Talend Studio
The access to these systems, databases and business applications varies depending on the Studio you are using.
Systems/Databases Versions OS
Access 1 2003 Windows
2007 Windows
Amazon Aurora MySQL edition v5 (5.6 and 5.7) -
Amazon RDS for Microsoft SQL Server - -
Amazon Redshift 1.x -
Amazon S3 - -
AS/400 V7R1 to V7R3 -
Bonita 6.5.2 -
7.2.4 -
7.9.0 -
Cassandra 3.0 to 3.4 Windows + Linux
CouchBase 5.x Windows
6.0 Windows
CouchDB 1.0.2 Windows
DB2 10.5 -
DB Generic ODBC Windows
DynamoDB - -
Elasticsearch 5.6.x -
6.4.x -
EXASolution 6.0 and earlier Windows
Excel - -
eXist-db 1.4.0 -
FireBird 2.1 to 3.0 Windows + Linux
FTP - -
Greenplum 4.3.x Windows (client only) + Linux
5.x Windows (client only) + Linux
HSQLDb 1.8.0 to 2.4 -
IBM DB2 and IBM DB2 Z/OS 10.5 Windows + Linux
11.1 Windows + Linux
Informix 11.50 Windows + Linux
Ingres 10.2 Windows + Linux
11 Windows + Linux
Interbase - -
JavaDB 6 Windows + Linux
JDBC - -
JSON - -
Kafka 2 0.8.2.0 Windows + Linux
0.9.0.1 Windows + Linux
0.10.0.1 Windows + Linux
1.1.0 Windows + Linux
2.2.1 Windows + Linux
LDAP No version limitation Windows + Linux
MapRDB - -
MarkLogic V9 -
MaxDB 7.6 -
Microsoft Azure Blob Storage - -
Microsoft Azure SQL Data Warehouse - -
Microsoft AX Dynamics AX 4.0 -
Dynamics AX 2012 -
Microsoft CRM 2011 -
2015 -
2016 -
Microsoft CRM Online 2011 -
2016 -
2018 -
Microsoft SQL Server 3 2014 to latest version Windows + Linux
MongoDB 3.2.x for Spark Jobs Windows + Linux
3.5.x and later for Standard Jobs Windows + Linux
MySQL MySQL 5.x Windows + Linux
MySQL 8.x Windows + Linux
MariaDB Windows + Linux
Amazon RDS Windows + Linux
Google Cloud SQL Windows + Linux
MOM - -
Neo4j 1.x.x Linux
2.x.x / 2.2.x / 2.3 Linux
3.2.x Linux
3.5.x Linux
4.0.x Linux
Netezza 7.0.x Windows + Linux
7.1.x Windows + Linux
7.2.x Windows + Linux
NetSuite 2018 Windows + Linux
Oracle

Oracle 12c Release 1

Windows + Linux
Oracle 12c Release 2 Windows + Linux
Oracle 18c Windows + Linux
Oracle 19c Windows + Linux
Deprecated versions: Oracle 8i/9i/10g/11g  
Palo Open source version 5 -
ParAccel 3.1 -
3.5 -
PostgreSQL v7.2 to v8.x Windows + Linux
v9.x / v10.x / v11.x Windows + Linux
Amazon RDS Windows + Linux
Google Cloud SQL Windows + Linux
PostgresPlus v7.2 to v8.x Windows + Linux
v9.x Windows + Linux
Red Hat BRMS 6.1 Windows + Linux
REST Service - Windows + Linux
Salesforce V47 and earlier Windows + Linux
SAP 4.6 -
SAP Business Suite (ERP) Netweaver: From 7.3 to 7.5 Windows
ERP6.0, From EhP6 to EhP8 Windows
SAP Business Warehouse (BW) Netweaver: From 7.3 to 7.5 Windows
SAP HANA 4 No version limitations Windows + Linux
SOAP Service - -
SQLite 3.6.7 Windows + Linux
Sybase 12.5 Windows + Linux
12.7 Windows + Linux
15.2 Windows + Linux
15.5 Windows + Linux
15.7 Windows + Linux
16.0 Windows + Linux
SybaseIQ 12.5 Windows + Linux
12.7 Windows + Linux
15.2 Windows + Linux
16.0 Windows + Linux
Teradata 12 to 16 Windows + Linux
VectorWise 2 Windows + Linux
Vertica 9.0.x to 9.3.1 Windows + Linux
VtigerCRM Vtiger 5.0 -
Vtiger 5.1 -

1 When working with Java 8, only the General collation mode is supported.

2 The Kerberos kinit option and the Kerberos keytab option are both supported. For information about the security options supported by the Kafka components, see Talend Help Center.

3 Microsoft SQL Server support is provided through the Microsoft SQL JDBC driver. For more information, see the Download Microsoft JDBC Driver for SQL Server page.

4 Supported through SAP JDBC driver.